Hermos API

Accept subscription restart terms

POST/subscriptions/{subscription}/restart

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

subscription*string

Opaque subscription ID.

Match^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/subscriptions/string/restart" \  -H "Content-Type: application/json" \  -d '{    "action_hash": "string",    "attempt": {      "after": null    },    "consents": {      "terms": true,      "privacy": true,      "terms_mode": "tick_box",      "subscription": true,      "recovery_email": true    },    "charge_terms": true,    "confirm_repeat": true  }'
{  "data": {    "state": "none",    "attempt": {      "id": "string",      "status": "open"    },    "checkout_instance": "string"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}